CVE-2009-1755

Metadata

CVE-2009-1755
5.0
bugs.debian.org, bugs.debian.org, nlnetlabs.nl, openwall.com
2009-05-22
2017-06-06 20:19

Description

Off-by-one error in the packet_read_query_section function in packet.c in nsd 3.2.1, and process_query_section in query.c in nsd 2.3.7, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via unspecified vectors that trigger a buffer overflow.

Related Vulnerabilities

platform vulnerability
CVE-2009-1755 nsd3
CVE-2009-1755 nsd
CVE-2009-1755